commit:     58262ca3be76eca9ab24b3d7b68056b6393e64ba
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 14 04:52:03 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr 14 04:52:03 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58262ca3

dev-python/xmlschema: Bump to 4.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/xmlschema/Manifest               |  1 +
 dev-python/xmlschema/xmlschema-4.0.1.ebuild | 38 +++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index 6508a703f0d0..e63fe78881c2 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1,2 +1,3 @@
 DIST xmlschema-3.4.5.tar.gz 592281 BLAKE2B 
e32e768bf91e67297453dc0fa70e37fdeaa37c8de3b2bf18857935616b70cc936de88e46844ca3139d9cdb946c53808c34219334317def8cbdcdf50cec20928e
 SHA512 
46b5e3de506b902161fdb758ceccacbda57caa87b0f3b90d8769d96bdfca096eea348b2fe52d76930e18c164dbcf3a673286a1594feef051e0b664e559d37ed2
 DIST xmlschema-4.0.0.tar.gz 624545 BLAKE2B 
4d53e7581235296d08219550bf78acea4bb1f984dde1f58d86e3855a0f7647b6c69a3746a0f0dc69345214e1d110163f128967c334c57e6acfd0856dce52bd8a
 SHA512 
7246f4449d172f9f5b0d2a70d649d0a7820fb628008884edc85e7742b26a2f1b9f08a3b176b52b639ab84189152c723bbbab317396d3bc3647a21aecd0ff92f9
+DIST xmlschema-4.0.1.tar.gz 625283 BLAKE2B 
750f151a6e10a01732cd9ff4a66f5499e3f8ed0ba2c07faf98bb85fab1c7a28bd3677f4b7ab12ab31235b1b23ca9127d8fa2a67bec7d5d4386bd3be26227fb6e
 SHA512 
b1c08b9feabc40f1f299f005f765fa9d46780e3bc2173ee305d71c40e403a6f67b3a7558214fc663e54abd9a68ae28465044c7bc0113999cf18d2f4b95bfcec8

diff --git a/dev-python/xmlschema/xmlschema-4.0.1.ebuild 
b/dev-python/xmlschema/xmlschema-4.0.1.ebuild
new file mode 100644
index 000000000000..a2aa50e777b6
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-4.0.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2019-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} pypy3 pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="
+       https://github.com/sissaschool/xmlschema/
+       https://pypi.org/project/xmlschema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       <dev-python/elementpath-6[${PYTHON_USEDEP}]
+       >=dev-python/elementpath-4.8.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/setuptools-77[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/jinja2[${PYTHON_USEDEP}]
+               dev-python/lxml[${PYTHON_USEDEP}]
+       )
+"
+
+python_test() {
+       "${EPYTHON}" tests/run_all_tests.py -v || die "Tests fail with 
${EPYTHON}"
+}

Reply via email to